Network Manager Role
====================

Configure system connections managed by NetworkManager by templating the
`nmconnection` files. Right now, only `wireguard` and `wifi` connection
types are supported.

Requirements
------------

The role doesn't install anything currently, so NetworkManager should already be installed, including the `nmcli` cli tool.

Role Variables
--------------

A description of the settable variables for this role should go here, including any variables that are in defaults/main.yml, vars/main.yml, and any variables that can/should be set via parameters to the role. Any variables that are read from other roles and/or the global scope (ie. hostvars, group vars, etc.) should be mentioned here as well.

Dependencies
------------

A list of other roles hosted on Galaxy should go here, plus any details in regards to parameters that may need to be set for other roles, or variables that are used from other roles.

Example Playbook
----------------

```yaml
- hosts: all
  roles:
    - network-manager
  vars:
    network_manager_connections:
      - id: home-wifi
        uuid: 851139a3-54b5-4736-8dc0-f04d4b9de366
	type: wifi
	interface_name: wlan0
	wifi:
	  ssid: home-wifi
	  key_mgmt: wpa-psk
	  psk: "secret wifi passphrase"
      - id: wireguard
        uuid: 3ecc827f-2dfb-4972-885b-98f6316e7d2f
	type: wireguard
	interface_name: wg0
	wireguard:
	  # generate with `wg genkey > privkey`
	  private_key: UJHMW7viOL4zEbTSW8t1tHnGzAEqHv7bIYfHeYyLsWg=
	  listen_port: 45678 # optional
	  peers:
	      # generate with `wg pubkey < privkey > pubkey`
	    - public_key: K5juPTGX3f6ZVwOh4rFYBHtMUPeJHdOWbleMo4l9Ynw=
	      endpoint: 1.2.3.4:56789 # optional
	      allowed_ips:
	        - "0.0.0.0/0"
		- "::0/0"
	      # generate with `wg genpsk > presharedkey`, optional
	      preshared_key: 9keMl5YXH/rVzdpvJx/lRsyeKVnC7bqlKljTxJ+BJs4=

License
-------

AGPL-3.0-only
